Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07025 Graphics Minor Always Jun 19, 2018, 12:53 Oct 7, 2019, 06:32
Tester wuemura View Status Public Platform MAME (Official Binary)
Assigned To galibert Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver model1.cpp
Version 0.198 Fixed in Version 0.215 Build 64-bit
Summary 07025: vr: Virtual Racing graphic glitches
Description Machine shows some graphic glitches along the gameplay like the car falling bellow the racing track and the track cutting out in the demo.
Steps To Reproduce Play the game or watch the Attract Mode
Additional Information The regression version is 0.197
Flags
Regression Version 0.197
Affected Sets / Systems vr
Attached Files
png file icon vr-glitch01.png (162,749 bytes) Jun 19, 2018, 12:54 Uploaded by wuemura
wuemura
png file icon vr-glitch02.png (39,634 bytes) Jun 19, 2018, 12:54 Uploaded by wuemura
wuemura
Relationships
related to 07026Resolvedgalibert vr: vr gameplay calculations and physics issues 
Notes
15
User avatar
No.15186
NekoEd
Senior Tester
Jun 20, 2018, 05:47
Confirmed, SDLMAME/Linux 0.198, except it's worse; here the game (but not MAME) softlocks upon trying to display polygons and only displays the background image.

Note that the regression version is NOT the last version that worked but the last version it did NOT work. It works in 0.196 and does not in 0.197; the regression version is therefore 0.197. I have edited the report to reflect this.
User avatar
No.15195
NekoEd
Senior Tester
Jun 21, 2018, 06:55
I've added a possibly related bug and increased the severity on this based on my own test results.
User avatar
No.15196
cuavas
Administrator
Jun 21, 2018, 08:03
Only displaying the background image happens if you don't have the new "best known" TGP firmware. Did you check that your ROM set is completely up-to-date? I got the same symptom until I got the patched up TGP ROM.
User avatar
No.15197
Tafoid
Administrator
Jun 21, 2018, 08:47
edited on: Jun 21, 2018, 08:53
I can confirm that if you use roms from 0.196 and attempt to run vr, you get nothing but a tight hang screen full of background water (as 0000.png depicts).
Such a scenario means that at least one of your vr rom parts have not been updated to what 0.198 expects:
315-5572.bin WRONG CHECKSUMS:
    EXPECTED: CRC(66785906) SHA1(d94a51eced65b0073fb39625927782bf264d271a)
       FOUND: CRC(0a534a3b) SHA1(b8c988bc414b3ad3cd036ba5a64b5ee04a4758b4)
315-5573.bin WRONG CHECKSUMS:
    EXPECTED: CRC(3335a19b) SHA1(72eedfcc799ec4c7534fd7415de6631087ff6731)
       FOUND: CRC(ec913af2) SHA1(a18bf6c9d7b35f8b9e513a7d279f13a30b32a961)
WARNING: the machine might not run correctly.

Readjusted severity based on this.
User avatar
No.15198
Fujix
Administrator
Jun 21, 2018, 12:08
No repro with the latest roms.
User avatar
No.15200
Haze
Senior Tester
Jun 21, 2018, 13:11
I did get a fall-through-track error with correct roms, although only once, and not during attract.
User avatar
No.15201
Hydreigon
Tester
Jun 22, 2018, 02:39
edited on: Jan 16, 2019, 22:31
Possibly related to 06861?
User avatar
No.15202
NekoEd
Senior Tester
Jun 22, 2018, 06:20
Yeah, it looks like I have the old ROMs, sorry about that.
User avatar
No.16761
MetalGod
Senior Tester
Aug 16, 2019, 18:39
If the issue is fixed just by using an updated romset of mame, Why don't we just close this?
User avatar
No.16762
Tafoid
Administrator
Aug 16, 2019, 18:45
Fixed
User avatar
No.16766
MetalGod
Senior Tester
Aug 18, 2019, 17:48
As I've read in mameworld forums the problem persists. Closing it was my fault, sorry.
Reopening then !
User avatar
No.16767
Hydreigon
Tester
Aug 18, 2019, 23:21
edited on: Aug 20, 2019, 14:30
Is this related to 06861 or not? I personally thought this would be insta closed as a duplicate.

Edit, not related.
User avatar
No.16768
MetalGod
Senior Tester
Aug 18, 2019, 23:53
Regression versions of both reports do not match
User avatar
No.16769
Tafoid
Administrator
Aug 19, 2019, 00:13
If that is the case, I'll delete the relationship.
User avatar
No.16777
Hydreigon
Tester
Aug 20, 2019, 14:54
edited on: Aug 20, 2019, 23:36
The tgp dumps of 315-5572 and 315-5573 (only used in vr), were changed in 0.197. I'm going to test vr in mame with all the possible tgp dump combinations to see if I can determine a possible bad dump. The results:

Using the old 5573 dump will cause the game to hang and using the new 5573 dump yields the current vr camera/calculation bugs. It also could be a bad dump on vr's tgp unless someone can verify the dump is 100% good.

Furthermore, going into TGP test in Virtua Racing and Formula will lock the game (along with Virtua Fighter).